Summary:	PDF manipulating library
Summary(pl.UTF-8):	Biblioteka do obróbki plików PDF
Name:		libcpdf
Version:	2.02r1
Release:	8
License:	Free for non-commercial use
Group:		Libraries
Source0:	http://www.fastio.com/clibpdf202r1.tar.gz
# Source0-md5:	840d78e187ab46fc5700caba9fbb33e5
Source1:	%{name}-examples.Makefile
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-config.patch
URL:		http://www.fastio.com/
BuildRequires:	zlib-devel
#Requires:	ghostscript-fonts-other
#Requires:	ghostscript-fonts-std
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a library of ANSI C functions, for creating PDF files directly
via C.

%description -l pl.UTF-8
To jest biblioteka funkcji ANSI C do tworzenia plików PDF bezpośrednio
z C.

%package devel
Summary:	Header files needed for libcpdf development
Summary(pl.UTF-8):	Pliki nagłówkowe do programowania z użyciem libcpdf
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	zlib-devel

%description devel
This package includes the header files for developing programs using
libcpdf.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do programowania z
użyciem libcpdf.

%package static
Summary:	Static libraries for libcpdf development
Summary(pl.UTF-8):	Statyczne biblioteki libcpdf
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	zlib-devel

%description static
This package includes static libcpdf libraries.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczne biblioteki libcpdf.

%prep
%setup -q -n ClibPDF
%patch0 -p0
%patch1 -p1

cp -f %{SOURCE1} examples/Makefile

%build
%{__make} -C source -f Makefile.Linux shlib \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -DLinux -fPIC" \
	LDFLAGS="%{rpmldflags}" \
	VERSION="%{version}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir},%{_bindir},%{_mandir}/man1}

install source/cpdflib.h $RPM_BUILD_ROOT%{_includedir}
install source/libcpdf.so.*.* $RPM_BUILD_ROOT%{_libdir}
ln -sf $(basename $RPM_BUILD_ROOT%{_libdir}/libcpdf.so.*.*) $RPM_BUILD_ROOT%{_libdir}/libcpdf.so
install source/libcpdf.a $RPM_BUILD_ROOT%{_libdir}

#cp fontmap.lst $RPM_BUILD_ROOT%{_datadir}/ghostscript/fonts

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -rf examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc source/ChangeLog doc/*.txt fonts/README* LICENSE*
%attr(755,root,root) %{_libdir}/libcpdf.so.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/*.pdf
%attr(755,root,root) %{_libdir}/libcpdf.so
%{_includedir}/cpdflib.h
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libcpdf.a
%changelog
* Sun Mar 22 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libcpdf.git;a=log;h=master

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> ac518f9
- x32 rebuild
- release 8 (by relup.sh)

* Mon Jun 01 2009 Elan Ruusamäe <glen@pld-linux.org> 90ecb4f
- release 7

* Mon Jun 01 2009 Elan Ruusamäe <glen@pld-linux.org> ea9824d
- pass CC

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> d20470a
- fixed previous commit msg

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> cbad6f2
- pass LDFLAGS

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5816e16
- release 6

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> fb0482b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d5eaba4
- converted to UTF-8

* Sat Aug 19 2006 Jakub Bogusz <qboosh@pld-linux.org> 7c9241e
- unified

* Thu Aug 10 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> dbf78f7
- link with -lm

* Thu Aug 10 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 69976b1
- rel 5

* Sat Sep 25 2004 radek <radek@pld-linux.org> e66768d
- cosmetics (spaces -> tabs)

* Thu Apr 29 2004 adgor <adgor@pld-linux.org> 9532388
- Strict internal deps

* Mon Apr 26 2004 Adam Gołębiowski <adamg@pld-linux.org> c09e0ba
- release 4 for Ac (3 is for Ra)

* Sun May 25 2003 Michal Moskal <michal@moskal.me> 4d32149
- massive attack, adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> d3a0afc
- massive attack s/pld.org.pl/pld-linux.org/

* Sat Jul 20 2002 marcus <marcus@pld-linux.org> 9a05274
- fixed building
- rel.3.

* Sat Jul 20 2002 marcus <marcus@pld-linux.org> e847fb7
- i fixed

* Mon Jul 15 2002 kloczek <kloczek@pld-linux.org> 47c633f
- use new %doc.

* Wed May 01 2002 Jakub Bogusz <qboosh@pld-linux.org> 8cc59a8
- fixed -devel package: now libcpdf.so is symlink instead of libcpdf copy
- release 2

